aboutsummaryrefslogtreecommitdiffstats
path: root/rofi/.config/herbstluftwm/autostart.d
diff options
context:
space:
mode:
authorGravatar Tom Willemse2016-08-05 01:48:13 +0200
committerGravatar Tom Willemse2016-08-05 01:48:13 +0200
commit393087e8a5c73542192d0e06c92f8dd5ea1eb4ba (patch)
tree86bcc191e20a1eb7bfc41a4b80e46f6c16f3c3a2 /rofi/.config/herbstluftwm/autostart.d
parent6cabddd647c877e25b9c3f341117e516f89ff781 (diff)
downloadnew-dotfiles-393087e8a5c73542192d0e06c92f8dd5ea1eb4ba.tar.gz
new-dotfiles-393087e8a5c73542192d0e06c92f8dd5ea1eb4ba.zip
Add rofi configuration
Diffstat (limited to 'rofi/.config/herbstluftwm/autostart.d')
-rwxr-xr-xrofi/.config/herbstluftwm/autostart.d/rofi.sh14
1 files changed, 14 insertions, 0 deletions
diff --git a/rofi/.config/herbstluftwm/autostart.d/rofi.sh b/rofi/.config/herbstluftwm/autostart.d/rofi.sh
new file mode 100755
index 0000000..22fe03e
--- /dev/null
+++ b/rofi/.config/herbstluftwm/autostart.d/rofi.sh
@@ -0,0 +1,14 @@
+#!/usr/bin/env zsh
+
+if ! whence hc; then
+ function hc() { herbstclient "$@"; }
+fi
+
+# Run things with rofi
+hc keybind Mod4-r spawn rofi -show run -m 0
+
+# Use a special rofi configuration that allows windows to be locked by
+# herbstluftwm.
+hc keybind Mod4-w spawn rofi -show window -m 0 \
+ -window-command "$HOME/usr/bin/hlwm-switch-to-window {window}" \
+ -config "$HOME/.config/rofi/windows.conf"